org.icefaces.ace.component.chart

## Class Chart

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.chart.ChartBase
      - - org.icefaces.ace.component.chart.Chart

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, IChart

      public class Chart
      extends ChartBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.chart.ChartBase

      `ChartBase.PropertyKeys`

  - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.chart.ChartBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `java.lang.Object` | `getValue()` Return the value of the `value` property.
    `boolean` | `hasAxisConfig()`

    - ### Methods inherited from class org.icefaces.ace.component.chart.ChartBase

      `addClientBehavior, getDefaultAxesConfig, getDefaultEventName, getDefaultExecute, getDefaultRender, getDefaultSeriesColors, getDefaultSeriesConfig, getEventNames, getFamily, getHeight, getHighlighterAxes, getHighlighterFormatString, getHighlighterLocation, getHighlighterYValueCount, getImageExportListener, getLegendLocation, getLegendPlacement, getListenerArgument, getPointChangeListener, getSelectListener, getStyle, getTitle, getWidgetVar, getWidth, getX2Axis, getXAxis, getYAxes, isAnimated, isCursor, isHiddenInitPolling, isHighlighter, isHighlighterBringSeriesToFront, isHighlighterShowMarker, isLegend, isPropertySet, isShowTooltip, isStackSeries, isZoom, setAnimated, setCursor, setDefaultAxesConfig, setDefaultSeriesColors, setDefaultSeriesConfig, setHeight, setHiddenInitPolling, setHighlighter, setHighlighterAxes, setHighlighterBringSeriesToFront, setHighlighterFormatString, setHighlighterLocation, setHighlighterShowMarker, setHighlighterYValueCount, setImageExportListener, setLegend, setLegendLocation, setLegendPlacement, setPointChangeListener, setSelectListener, setShowTooltip, setStackSeries, setStyle, setTitle, setValue, setValueExpression, setWidgetVar, setWidth, setX2Axis, setXAxis, setYAxes, setZoom`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Constructor Detail

    - #### Chart

          public Chart()

  - ### Method Detail

    - #### hasAxisConfig

          public boolean hasAxisConfig()

    - #### getValue

          public java.lang.Object getValue()

      Description copied from class: `ChartBase`

      Return the value of the `value` property.

      Contents: Define an individual instance or List of ChartSeries objects to draw on this plot.

      Specified by:
        `getValue` in interface `IChart`
      Overrides:
        `getValue` in class `ChartBase`

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.